Package requests here! (New and updates)

Unofficial support for the KXStudio Linux distribution and applications.
More info at http://kxstudio.linuxaudio.org/

Moderators: khz, MattKingUSA

wolftune
Established Member
Posts: 1305
Joined: Fri Feb 24, 2012 7:40 pm
Location: Portland, OR
Contact:

Re: Package requests here! (New and updates)

Postby wolftune » Sun Mar 29, 2015 7:01 pm

ok… yeah, problem:

Code: Select all

~$ sudo apt-get install mod-app
The following packages have unmet dependencies:
 mod-app : Depends: python3-pyqt5 but it is not going to be installed
           Depends: python3-pyqt5.qtwebkit but it is not going to be installed


Any suggestions? Happy to test further
Aaron Wolf
Music teacher, scholar
http://wolftune.com

User avatar
sysrqer
Established Member
Posts: 1858
Joined: Thu Nov 14, 2013 11:47 pm
Contact:

Re: Package requests here! (New and updates)

Postby sysrqer » Sun Mar 29, 2015 7:20 pm

Will still be providing dssi versions of the the new calf release?

ciacnorris
Established Member
Posts: 22
Joined: Sun May 25, 2014 8:20 pm

Re: Package requests here! (New and updates)

Postby ciacnorris » Sun Mar 29, 2015 10:31 pm

Code: Select all

ciac@kxstudio:~$ sudo apt-get install mod-app
[sudo] password for ciac:
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 mod-app : Dipende: python3-pyqt5 ma non sta per essere installato
           Dipende: python3-pyqt5.qtwebkit ma non sta per essere installato
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.


Code: Select all

ciac@kxstudio:~$ sudo apt-get install python3-pyqt5
Lettura elenco dei pacchetti... Fatto
Generazione albero delle dipendenze       
Lettura informazioni sullo stato... Fatto
Alcuni pacchetti non possono essere installati. Questo può voler dire
che è stata richiesta una situazione impossibile oppure, se si sta
usando una distribuzione in sviluppo, che alcuni pacchetti richiesti
non sono ancora stati creati o sono stati rimossi da Incoming.
Le seguenti informazioni possono aiutare a risolvere la situazione:

I seguenti pacchetti hanno dipendenze non soddisfatte:
 python3-pyqt5 : Dipende: qtbase-abi-5-2-1
E: Impossibile correggere i problemi, ci sono pacchetti danneggiati bloccati.


I don't know if you understand Italian... is there any way to make Yakuake work in English just temporarily?

ciacnorris
Established Member
Posts: 22
Joined: Sun May 25, 2014 8:20 pm

Re: Package requests here! (New and updates)

Postby ciacnorris » Sun Mar 29, 2015 11:13 pm

Thank you very much.
Could you please tell me if this is a KXStudio-specific issue or I'll have the same problems in my LinuxMint KDE 17?

falkTX wrote:I'm almost done with qt5-static, so a proper musescore2.0 build is coming.


Just for curiosity: does this mean that qt5 will be compiled into musescore2.0 deb package?

ciacnorris
Established Member
Posts: 22
Joined: Sun May 25, 2014 8:20 pm

Re: Package requests here! (New and updates)

Postby ciacnorris » Mon Mar 30, 2015 3:01 pm

falkTX wrote:Is Mint17 based on Ubuntu 14.04?
This applies to 14.04, since that's where the musescore ppa backported qt5 to.


Yes, every Mint release until the next Ubuntu LTS (i.e. 17, 17.1, 17.2...) will be based on Ubuntu 14.04.

wolftune
Established Member
Posts: 1305
Joined: Fri Feb 24, 2012 7:40 pm
Location: Portland, OR
Contact:

Re: Package requests here! (New and updates)

Postby wolftune » Mon Mar 30, 2015 5:29 pm

Audacity! Wow: http://audacity.sourceforge.net/about/n ... .0-release really substantial update!
Aaron Wolf
Music teacher, scholar
http://wolftune.com

wolftune
Established Member
Posts: 1305
Joined: Fri Feb 24, 2012 7:40 pm
Location: Portland, OR
Contact:

Re: Package requests here! (New and updates)

Postby wolftune » Wed Apr 01, 2015 3:36 pm

I suppose I should remove the other musescore PPA then? EDIT: done, all seems good, extra unneeded qt5 stuff autoremoved…
Aaron Wolf
Music teacher, scholar
http://wolftune.com

sprock
Established Member
Posts: 23
Joined: Mon Mar 16, 2015 8:57 am

Re: Package requests here! (New and updates)

Postby sprock » Wed Apr 01, 2015 10:12 pm

falkTX wrote:Good news everyone!
musecore2 is in the repos! :D

Great! Thank you.

User avatar
briandc
Established Member
Posts: 1336
Joined: Sun Apr 29, 2012 3:17 pm
Contact:

Re: Package requests here! (New and updates)

Postby briandc » Thu Apr 02, 2015 11:39 am

@falkTX:

I'm experiencing problems with the synths in Csound (both Cabbage and qutecsound), where audio gets garbled when playing chords in succession. I see there are newer versions of Csound and qutecsound available, and I'm wondering if these would resolve the issue?

Newest Csound here: https://sourceforge.net/projects/csound/files/csound6/Csound6.04/ (When I run qutecsound in terminal it says I'm running csound version 5171, even though in the repos I have "Csound 6 static" installed.


brian
Have your PC your way: use linux!
My sound synthesis biome: http://www.linuxsynths.com

User avatar
briandc
Established Member
Posts: 1336
Joined: Sun Apr 29, 2012 3:17 pm
Contact:

Re: Package requests here! (New and updates)

Postby briandc » Thu Apr 02, 2015 1:32 pm

falkTX wrote:the cabbage stuff uses csound6-static, everything else does not.
(like qutecsound).

I will update the csound6-static and cabbage builds.


I see the update, thanks! :)
I started a thread on the Cabbage forum to see if they have any thoughts on the distortion that I'm getting. Since I get the exact same problem with both qutecsound and Cabbage, I imagine that the problem is in some file that they both have in common. I don't know if others here are getting the same distortion, but it's truly annoying.


brian
Have your PC your way: use linux!
My sound synthesis biome: http://www.linuxsynths.com

ciacnorris
Established Member
Posts: 22
Joined: Sun May 25, 2014 8:20 pm

Re: Package requests here! (New and updates)

Postby ciacnorris » Fri Apr 03, 2015 4:47 am

falkTX wrote:Good news everyone!
musecore2 is in the repos! :D

it's the first time I built a big app with qt5 static, so please update and let me know how it works for you.
does it install? does it run?


Great!
It installs and works, at least for now. Thank you!

Vrangor
Established Member
Posts: 37
Joined: Fri Apr 25, 2014 11:47 pm

Re: Package requests here! (New and updates)

Postby Vrangor » Fri Apr 03, 2015 4:12 pm

I can add it, but seems a bit wasteful when the actual developer says you should use something else (like airware).

Have you tried the latest carla yet?
(packaged as carla-git)
It can load win32/64 plugins as well.


Yes, I use Carla-git a lot as a standalone guitar rack, and it works very well, however in Ardour I would prefer having single plugin in chain directy instead having carla plugin hosting the actual plugin, it just works better for me, besides I`ve noticed Carla uses a lot DSP for win-vsts, for example BootEQmkII in Carla (both standalone and lv2) ~35% DSP load, while te same plugin in Reaper under wine about 7% DSP load.
I`d try airwave as well, but compiling is a hell for me:)

User avatar
unfa
Established Member
Posts: 113
Joined: Tue May 17, 2011 10:43 am
Location: Warsaw, Poland
Contact:

Re: Package requests here! (New and updates)

Postby unfa » Sat Apr 11, 2015 3:42 pm

I'm using Bitrot plugins from Grejppi:
https://github.com/grejppi/bitrot/wiki/ ... ot-plugins

They are great for glitch effects, there's a video of them in live action by Umcaruje:
https://www.youtube.com/watch?v=jomHqsv8ntg

User avatar
briandc
Established Member
Posts: 1336
Joined: Sun Apr 29, 2012 3:17 pm
Contact:

Re: Package requests here! (New and updates)

Postby briandc » Mon Apr 13, 2015 5:07 pm

@falkTX,
the guys at Cabbage tell me that the version of Csound is old (1.5.7 rather than 6.4 (I think)). Also Qutecsound is now CsoundQT.

Can these be updated?


brian
Have your PC your way: use linux!
My sound synthesis biome: http://www.linuxsynths.com

Rory
Established Member
Posts: 10
Joined: Mon Jul 01, 2013 9:53 am

Re: Package requests here! (New and updates)

Postby Rory » Tue Apr 14, 2015 9:17 am

That's what I thought. But would it not be just as handy to have CsoundQT and Cabbage both use the same shared Csound library? I bow to your superior packing powers on this, but this is how I'm running them here without any problem. Also, it seems that Csound 5.17 is still being installed. I can't think of too many application that still need such an old version of Csound?


Return to “KXStudio Discussion”

Who is online

Users browsing this forum: No registered users and 3 guests